using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Drawing;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Syncfusion.Web.UI;
using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;

public partial class _Default : System.Web.UI.Page
{
    ChartDataBindModel model = null;
    ChartDataBindAxisLabelModel xAxisLabelModel = null;
    SqlDataAdapter ada;
    DataSet ds;

    protected void Page_Load(object sender, EventArgs e)
    {
        InitializeControlSettings();
        this.InitializeChartData();
        this.InitializeChartSettings();
    }

    private void InitializeControlSettings()
    {
        Color[] color = new Color[] { Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30) };
        this.ChartWebControl1.Palette = ChartColorPalette.Custom;
        this.ChartWebControl1.Model.ColorModel.CustomColors = color;
        this.ChartWebControl1.Palette = ChartColorPalette.Custom;

        this.ChartWebControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185, new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure));
        this.ChartWebControl1.LegendPosition = ChartDock.Top;
        this.ChartWebControl1.ChartWebArea.HidePartialLabels = true;
    }

    protected void InitializeChartSettings()
    {
        this.ChartWebControl1.AutoTempFileCleanUp = true;

        this.ChartWebControl1.OutputFormat = ImageProviderOutputFormat.Handler;

        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.DrawGrid = true;
        this.ChartWebControl1.ChartWebArea.PrimaryYAxis.DrawGrid = true;
        this.ChartWebControl1.ChartWebArea.PrimaryYAxis.Title = "Item Values";
        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.Title = "Item Name";
    }


    private void InitializeChartData()
    {
        this.ChartWebControl1.Indexed = true;
        string ConnectionString = "Data Source=SYNCFUSION6;Initial Catalog=Sample;User ID=sa;Password=sureshbabu;Pooling=False";
        SqlConnection connection = new SqlConnection(ConnectionString);
        SqlCommand cmd = new SqlCommand("SELECT * FROM Item", connection);
        connection.Open();
        ada = new SqlDataAdapter(cmd.CommandText, connection);
        ds = new DataSet();
        ada.Fill(ds, "Item");
        this.model = new ChartDataBindModel(this.ds, "Item");
        this.model.XName = "id";
        this.model.YNames = new string[] { "ItemValue" };

        ChartSeries series = this.ChartWebControl1.Model.NewSeries("Data Bound Series");
        series.Text = series.Name;
        series.SeriesModelImpl = this.model;
        series.Type = ChartSeriesType.Column;
        this.ChartWebControl1.Series.Add(series);

        this.xAxisLabelModel = new ChartDataBindAxisLabelModel(this.ds, "Item");
        this.xAxisLabelModel.LabelName = "ItemName";

        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.LabelsImpl = this.xAxisLabelModel;
        this.ChartWebControl1.ChartWebArea.PrimaryXAxis.ValueType = ChartValueType.Custom;

        this.ChartWebControl1.Text = "Essential Chart - Item Chart";
    }
}
